Loading...
Searching...
No Matches
BALL::ConstBinaryProcessor< T1, T2 > Class Template Reference

`#include <BALL/CONCEPT/processor.h>`

Inheritance diagram for BALL::ConstBinaryProcessor< T1, T2 >:

## Public Member Functions

Constructors and Destructors
virtual | ~ConstBinaryProcessor ()
Processor-specific methods
virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (const T1 &, const T2 &)

## Additional Inherited Members

Public Types inherited from BALL::BinaryFunctor< T1, T2, Processor::Result >
typedef Processor::Result | result_type
typedef T1 | first_argument_type
typedef T1 & | first_argument_reference
typedef const T1 & | const_first_argument_reference
typedef T1 * | first_argument_pointer
typedef const T1 * | const_first_argument_pointer
typedef T2 | second_argument_type
typedef T2 & | second_argument_reference
typedef const T2 & | const_second_argument_reference
typedef T2 * | second_argument_pointer
typedef const T2 * | const_second_argument_pointer

## Detailed Description

template<typename T1, typename T2>
class BALL::ConstBinaryProcessor< T1, T2 >

Definition at line 205 of file processor.h.

## Constructor & Destructor Documentation

## ~ConstBinaryProcessor()

template<typename T1, typename T2>

virtual BALL::ConstBinaryProcessor< T1, T2 >::~ConstBinaryProcessor | ( |  | ) |

inline virtual

Destructor

Definition at line 217 of file processor.h.

## Member Function Documentation

## finish()

template<typename T1, typename T2>

virtual bool BALL::ConstBinaryProcessor< T1, T2 >::finish | ( |  | ) |

inline virtual

finish method

Definition at line 235 of file processor.h.

## operator()()

template<typename T1, typename T2>

virtual Processor::Result BALL::ConstBinaryProcessor< T1, T2 >::operator() | ( | const T1 & | ,
|  | const T2 & | )

inline virtual

operator ()

Definition at line 242 of file processor.h.

## start()

template<typename T1, typename T2>

virtual bool BALL::ConstBinaryProcessor< T1, T2 >::start | ( |  | ) |

inline virtual

start method

Definition at line 228 of file processor.h.